%global pkgname django-nose

%if 0%{?fedora} >= 22
%global with_python3 1
%else
%global with_python3 0
%endif

Name:           python-%{pkgname}
Version:        1.4.5
Release:        1%{?dist}.1
Summary:        Django test runner that uses nose

License:        BSD
URL:            https://github.com/jbalogh/django-nose
Source0:        https://files.pythonhosted.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools


%global _description\
Django test runner that uses nose.

%description %_description

%package -n python2-%{pkgname}
Summary: %summary
Requires:       python-nose
Requires:       python-django
Provides:       %{pkgname} = %{version}-%{release}
%{?python_provide:%python_provide python2-%{pkgname}}

%description -n python2-%{pkgname} %_description

%if 0%{?with_python3}
%package -n python3-%{pkgname}
Summary:        Django test runner that uses nose
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-nose
Requires:       python3-django

%description -n python3-%{pkgname}
Django test runner that uses nose.

%endif

%prep
%setup -q -n %{pkgname}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif


%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

# remove testapp
rm -rf %{buildroot}/%{python_sitelib}/testapp
rm -rf %{buildroot}/%{python3_sitelib}/testapp


%files -n python2-%{pkgname}
%doc README.rst
%license LICENSE
%{python_sitelib}/django_nose
%{python_sitelib}/django_nose-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pkgname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/django_nose
%{python3_sitelib}/django_nose-%{version}-py?.?.egg-info
%endif


%changelog
* Mon Oct 24 2044 Oleg Girko <ol@infoserver.lv> - 1.4.5-1
- update to 1.4.5
- Python 2 binary package renamed to python2-django-nose
- make spec file more in line with the one from Fedora
* Sat Nov 14 2015 Oleg Girko <ol@infoserver.lv> - 1.4.1-2
- Enable build with Python 3
* Tue Aug  4 2015 Matthias Runge <mrunge@redhat.com> - 1.4.1-1
- update to 1.4.1
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
* Tue Apr 14 2015 Matthias Runge <mrunge@redhat.com> - 1.3-2
- Convert nose optparse options to argparse
* Fri Feb 27 2015 Matthias Runge <mrunge@redhat.com> - 1.3-1
- update to 1.3
- add patch for Django-1.8 compatibility
* Sat Jun  7 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
* Fri Mar 28 2014 Matthias Runge <mrunge@redhat.com> - 1.2-1
- update to 1.2
* Sun Aug  4 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
* Tue Apr 17 2012 Matthias Runge <mrunge@matthias-runge.de> - 1.0-3
- update provides for django-nose
* Fri Mar 23 2012 Matthias Runge <mrunge@matthias-runge.de> - 1.0-2
- change requirement from Django to python-django
* Fri Mar 16 2012 Matthias Runge <mrunge@matthias-runge.de> - 1.0-1
- update to 1.0 from upstream
- more explicit %%%%files-section
- remove bundled egg-info
* Tue Jan 31 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.1.3-1
- initial packaging
